package s2daosample.main;

import java.sql.Date;
import java.util.List;

import s2daosample.dao.*;

import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

public class S2DaoSampleUpdate {
    private static final String PATH = "s2daosample/resource/EmployeeDao.dicon";

    public static void main(String[] args) {
        S2Container container = S2ContainerFactory.create(PATH);
        Employee emp = new Employee();
        emp.setEmpno(5);
        emp.setEname("]ƈT");
        emp.setJob("vWFNg}l[W[");
        emp.setMgr(0);
        emp.setSal(8000000);
        emp.setDeptno(1);
        emp.setHiredate(new Date(System.currentTimeMillis()));            

        EmployeeDao dao = (EmployeeDao) container.getComponent(EmployeeDao.class);
        int count = dao.updateEmployee(emp);
        container.destroy();
    }
}
