package s2daosample.main;

import java.sql.Date;
import java.util.List;

import s2daosample.dao.*;

import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.S2ContainerFactory;

public class S2DaoSampleInsert {
    private static final String PATH = "s2daosample/resource/EmployeeDao.dicon";

    public static void main(String[] args) {
        S2Container container = S2ContainerFactory.create(PATH);
        Employee emp = new Employee();
        emp.setEmpno(6);
        emp.setEname("]ƈU");
        emp.setJob("ГSE");
        emp.setMgr(0);
        emp.setSal(4000000);
        emp.setDeptno(1);
        emp.setHiredate(new Date(System.currentTimeMillis()));        
        EmployeeDao dao = (EmployeeDao) container.getComponent(EmployeeDao.class);
        int count = dao.insertEmployee(emp);
        container.destroy();
    }
}
